PK_SignatureScheme::KeyTooShort Class Reference

Exception throw when the private or public key is too short to sign or verify. More...

Inheritance diagram for PK_SignatureScheme::KeyTooShort:

## Additional Inherited Members

Public Types inherited from Exception
enum | ErrorType { NOT_IMPLEMENTED , INVALID_ARGUMENT , CANNOT_FLUSH , DATA_INTEGRITY_CHECK_FAILED , INVALID_DATA_FORMAT , IO_ERROR , OTHER_ERROR }
| Error types or categories. More...
Public Member Functions inherited from PK_SignatureScheme::InvalidKeyLength
| InvalidKeyLength (const std::string &message)
Public Member Functions inherited from Exception
| Exception (ErrorType errorType, const std::string &s)
| Construct a new Exception.
const char * | what () const throw ()
| Retrieves a C-string describing the exception.
const std::string & | GetWhat () const
| Retrieves a string describing the exception.
void | SetWhat (const std::string &s)
| Sets the error string for the exception.
ErrorType | GetErrorType () const
| Retrieves the error type for the exception.
void | SetErrorType (ErrorType errorType)
| Sets the error type for the exceptions.

## Detailed Description

Exception throw when the private or public key is too short to sign or verify.

KeyTooShort() may be thrown by any function in this class if the private or public key is too short to sign or verify anything

Definition at line 2799 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h